# file	: startExpr.sh - Start the experiment.
# author: Craig Shallahamer, craig@orapub.com
# last  : 23-Aug-2012
 
echo "-------------------------------------"
echo "Setting up clean environment"
echo "-------------------------------------"

rm -i ./op_results.sql

# Stop all op_load activity  
kp.sh 1
kp.sh 1

# Be happy...
chill=5

echo "-------------------------------------"
echo "Initial Loading..."
echo "-------------------------------------"

for load in 1 2 
do
  echo "-------------------------------------"
  echo "  initial loading now, load=$load"
  echo "-------------------------------------"
  opload_go.sh pincursors
done

# By load 9, cpu util is easily 100%
# on my 6 core server
for load in 3 4 5 6 7 8 9 10 11 12 13
do
  echo "-------------------------------------"
  echo "LOADING NOW and then testing. load=$load"
  echo "-------------------------------------"
  getparsetime.sh $load
  opload_go.sh pincursors
  sleep $chill
done

echo "-------------------------------------"
echo "-------------------------------------"
echo " You may want to run kp.sh 1"
echo "-------------------------------------"
echo "-------------------------------------"


